<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>User</title>
<!-- CSS only --><!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.min.css">

    <link rel="stylesheet" type="text/css" href="/css/font-awesome.css">

    <link rel="stylesheet" href="/css/templatemo-hexashop.css">

    <link rel="stylesheet" href="/css/owl-carousel.css">

    <link rel="stylesheet" href="/css/lightbox.css">

</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Team A | E-Commerce </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link" aria-current="page" href="/">Home</a>
        </li>
        
        
       
        
      </ul>
      
        <ul class="navbar-nav ml-auto">
        
        	<li class="nav-item">
                <a class="nav-link" href="#">
                  <i class="fa fa-cart-plus"></i>
                </a>
            </li>
            
            <li class="nav-item">
                <a class="nav-link" href="/logout">
                  Logout
                </a>
            </li>
            
        </ul>
    </div>
  </div>
</nav>
<div class="container">

<br>
<h1 align="center">Product List</h1><hr><br>

<br>

<!-- <table class="table table-bordered table-hover" width="100%" cellpadding="10" cellspacing="0">

<tr bgcolor="cyan">
<th>OrderId</th>
<th>productName</th>
<th>productPrice </th>
<th>productDescription</th>
<th>Action</th>
</tr>
<tr th:each="product:${products}">
<th th:text="${product.orderId}"></th>
<th th:text=" ${product.product.productName}"></th>
<th th:text=" ${product.product.productCost}"></th>
<th th:text=" ${product.product.productDescription}"></th>
<th><a th:href="@{/user/deleteUserOrder/{orderid}(orderid=${product.orderId})}" class="btn btn-danger">Delete</a>
</th>
</tr>
</table> -->


</div>
<center>
<div class="row container ">
<div th:each="product:${products}" class="card col-lg-4 " style="width: 18rem; margin:auto; margin-top:2%;">

  <img src="https://i.pinimg.com/736x/cf/10/e5/cf10e5320447a7f04b716b81e9e11d92.jpg" class="card-img-top" alt="...">
  <div class="card-body">
    <h5 th:text=" ${product.product.productName}" class="card-title"></h5>
    <p th:text=" ${product.product.productCost}" class="card-text"></p>
    <p th:text=" ${product.product.productDescription}" class="card-text"></p>
    <a th:href="@{/user/deleteUserOrder/{orderid}(orderid=${product.orderId})}" class="btn btn-danger">Delete</a>
  </div>
  
</div>
</div>
<br><br>

<h3>Total Amount: </h3>
<h4>₹ <span th:text="${total}"></span><h4>
<a th:href="@{/order/billGenerate}" class="btn btn-primary">Bill</a>


</center>
<br><br>

 <!-- ***** Footer Start ***** -->
     <footer>
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <div class="first-item">
                        <div class="logo">
                            <img src="/images/logo.png"  style="width: 70px" > alt="hexashop ecommerce templatemo">
                        </div>
                        <ul>
                            <li><a href="#">Team-A | E-Commerce</a></li>
                            <li><a href="#">Team_A@company.com</a></li>
                            <li><a href="#">16-11-2022</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3">
                    <h4>Shopping &amp; Categories</h4>
                    <ul>
                        <li><a href="#">Men’s Shopping</a></li>
                        <li><a href="#">Women’s Shopping</a></li>
                        <li><a href="#">Kid's Shopping</a></li>
                    </ul>
                </div>
                <div class="col-lg-3">
                    <h4>Useful Links</h4>
                    <ul>
                        <li><a href="#">Homepage</a></li>
                        <li><a href="#">About Us</a></li>
                        <li><a href="#">Help</a></li>
                        <li><a href="#">Contact Us</a></li>
                    </ul>
                </div>
                <div class="col-lg-3">
                    <h4>Help &amp; Information</h4>
                    <ul>
                        <li><a href="#">Help</a></li>
                        <li><a href="#">FAQ's</a></li>
                        <li><a href="#">Shipping</a></li>
                        <li><a href="#">Tracking ID</a></li>
                    </ul>
                </div>
                <div class="col-lg-12">
                    <div class="under-footer">
                        <p>Copyright © 2022 Team-A | E-Commerce All Rights Reserved. 
                        
                    
                        <ul>
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                            <li><a href="#"><i class="fa fa-linkedin"></i></a></li>
                            <li><a href="#"><i class="fa fa-behance"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </footer>
	


	<script
		src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
		crossorigin="anonymous"></script>
<!-- jQuery -->
    <script src="/js/jquery-2.1.0.min.js"></script>

    <!-- Bootstrap -->
    <script src="/js/popper.js"></script>
    <script src="/js/bootstrap.min.js"></script>

    <!-- Plugins -->
    <script src="/js/owl-carousel.js"></script>
    <script src="/js/accordions.js"></script>
    <script src="/js/datepicker.js"></script>
    <script src="/js/scrollreveal.min.js"></script>
    <script src="/js/waypoints.min.js"></script>
    <script src="/js/jquery.counterup.min.js"></script>
    <script src="/js/imgfix.min.js"></script> 
    <script src="/js/slick.js"></script> 
    <script src="/js/lightbox.js"></script> 
    <script src="/js/isotope.js"></script> 
    <script src="/js/quantity.js"></script>
    
    <!-- Global Init -->
    <script src="/js/custom.js"></script>

    <script>

        $(function() {
            var selectedClass = "";
            $("p").click(function(){
            selectedClass = $(this).attr("data-rel");
            $("#portfolio").fadeTo(50, 0.1);
                $("#portfolio div").not("."+selectedClass).fadeOut();
            setTimeout(function() {
              $("."+selectedClass).fadeIn();
              $("#portfolio").fadeTo(50, 1);
            }, 500);
                
            });
        });

    </script>

</body>
</html>